class KnownSids():
    # https://docs.microsoft.com/en-us/windows/security/identity-protection/access-control/security-identifiers
    sids = {
        'S-1-5-1': r'NT AUTHORITY\Dialup',
        'S-1-5-113': r'NT AUTHORITY\Local account',
        'S-1-5-114': r'NT AUTHORITY\Local account and member of Administrators group',
        'S-1-5-2': r'NT AUTHORITY\Network',
        'S-1-5-3': r'NT AUTHORITY\Batch',
        'S-1-5-4': r'NT AUTHORITY\Interactive',
        'S-1-5-6': r'NT AUTHORITY\Service',
        'S-1-5-7': r'NT AUTHORITY\Anonymous Logon',
        'S-1-5-8': r'NT AUTHORITY\Proxy',
        'S-1-5-9': r'NT AUTHORITY\Enterprise Domain Controllers',
        'S-1-5-10': r'NT AUTHORITY\Self',
        'S-1-5-11': r'NT AUTHORITY\Authenticated Users',
        'S-1-5-12': r'NT AUTHORITY\Restricted Code',
        'S-1-5-13': r'NT AUTHORITY\Terminal Server User',
        'S-1-5-14': r'NT AUTHORITY\Remote Interactive Logon',
        'S-1-5-15': r'NT AUTHORITY\This Organization',
        'S-1-5-17': r'NT AUTHORITY\IIS_USRS',
        'S-1-5-18': r'NT AUTHORITY\SYSTEM',
        'S-1-5-19': r'NT AUTHORITY\LocalService',
        'S-1-5-20': r'NT AUTHORITY\Network Service',
        'S-1-5-32-544': r'BUILTIN\Administrators',
        'S-1-5-32-545': r'BUILTIN\Users',
        'S-1-5-32-546': r'BUILTIN\Guests',
        'S-1-5-32-547': r'BUILTIN\Power Users',
        'S-1-5-32-548': r'BUILTIN\Account Operators',
        'S-1-5-32-549': r'BUILTIN\Server Operators',
        'S-1-5-32-550': r'BUILTIN\Print Operators',
        'S-1-5-32-551': r'BUILTIN\Backup Operators',
        'S-1-5-32-552': r'BUILTIN\Replicators',
        'S-1-5-32-554': r'BUILTIN\Pre-Windows 2000 Compatible Access',
        'S-1-5-32-555': r'BUILTIN\Remote Desktop Users',
        'S-1-5-32-556': r'BUILTIN\Network Configuration Operators',
        'S-1-5-32-557': r'BUILTIN\Incoming Forest Trust Builders',
        'S-1-5-32-558': r'BUILTIN\Performance Monitor Users',
        'S-1-5-32-559': r'BUILTIN\Performance Log Users',
        'S-1-5-32-560': r'BUILTIN\Windows Authorization Access Group',
        'S-1-5-32-561': r'BUILTIN\Terminal Server License Servers',
        'S-1-5-32-562': r'BUILTIN\Distributed COM Users',
        'S-1-5-32-569': r'BUILTIN\Cryptographic Operators',
        'S-1-5-32-573': r'BUILTIN\Event Log Readers',
        'S-1-5-32-574': r'BUILTIN\Certificate Service DCOM Access',
        'S-1-5-32-575': r'BUILTIN\RDS Remote Access Servers',
        'S-1-5-32-576': r'BUILTIN\RDS Endpoint Servers',
        'S-1-5-32-577': r'BUILTIN\RDS Management Servers',
        'S-1-5-32-578': r'BUILTIN\Hyper-V Administrators',
        'S-1-5-32-579': r'BUILTIN\Access Control Assistance Operators',
        'S-1-5-32-580': r'BUILTIN\Remote Management Users',
        'S-1-5-64-10': r'NTLM Authentication',
        'S-1-5-64-14': r'SChannel Authentication',
        'S-1-5-64-21': r'Digest Authentication',
        'S-1-5-80': r'NT Service',
        'S-1-5-80-0': r'NT SERVICE\All Services',
        'S-1-5-83-0': r'NT VIRTUAL MACHINE\Virtual Machines',
        'S-1-16-0': r'Untrusted Mandatory Level',
        'S-1-16-4096': r'Low Mandatory Level',
        'S-1-16-8192': r'Medium Mandatory Level',
        'S-1-16-8448': r'Medium Plus Mandatory Level',
        'S-1-16-12288': r'High Mandatory Level',
        'S-1-16-16384': r'System Mandatory Level',
        'S-1-16-20480': r'Protected Process Mandatory Level',
        'S-1-16-28672': r'Secure Process Mandatory Level',
    }